wayland::server::zwp_input_timestamps_v1_t(3)

NAME
wayland::server::zwp_input_timestamps_v1_t - context object for input timestamps

SYNOPSIS

#include <wayland-server-protocol-unstable.hpp>

  Public Member Functions

std::function< void()> & on_destroy ()
destroy the input timestamps object
void timestamp (uint32_t tv_sec_hi, uint32_t tv_sec_lo, uint32_t tv_nsec, bool post=true)
high-resolution timestamp event
bool proxy_has_object () const
Check whether this wrapper actually wraps an object.
void post_no_memory () const
uint32_t get_id () const
client_t get_client () const
unsigned int get_version () const
std::string get_class ()

  Static Public Attributes

static constexpr std::uint32_t timestamp_since_version = 1
Minimum protocol version required for the timestamp function.

Detailed Description

context object for input timestamps

Provides high-resolution timestamp events for a set of subscribed input events. The set of subscribed input events is determined by the zwp_input_timestamps_manager_v1 request used to create this object.

Definition at line 1314 of file wayland-server-protocol-unstable.hpp.

Member Function Documentation

  std::string wayland::server::resource_t::get_class () [inherited]
Retrieve the interface name (class) of a resource object.

Returns
    Interface name of the resource object.

  client_t wayland::server::resource_t::get_client () const [inherited]
Get the associated client

Returns
    the client that owns the resource.

  uint32_t wayland::server::resource_t::get_id () const [inherited]
Get the internal ID of the resource

Returns
    the internal ID of the resource

  unsigned int wayland::server::resource_t::get_version () const [inherited]
Get interface version

Returns
    Interface version this resource has been constructed with.

  std::function< void()> & zwp_input_timestamps_v1_t::on_destroy ()

destroy the input timestamps object Informs the server that the client will no longer be using this protocol object. After the server processes the request, no more timestamp events will be emitted.

Definition at line 4785 of file wayland-server-protocol-unstable.cpp.

  void wayland::server::resource_t::post_no_memory () const [inherited]
Post "not enough memory" error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

  bool wayland::server::resource_t::proxy_has_object () const [inherited]

Check whether this wrapper actually wraps an object.

Returns
    true if there is an underlying object, false if this wrapper is empty

  void zwp_input_timestamps_v1_t::timestamp (uint32_t tv_sec_hi, uint32_t tv_sec_lo, uint32_t tv_nsec, bool post = true)

high-resolution timestamp event

Parameters
    tv_sec_hi high 32 bits of the seconds part of the timestamp
    tv_sec_lo low 32 bits of the seconds part of the timestamp
    tv_nsec nanoseconds part of the timestamp

The timestamp event is associated with the first subsequent input event carrying a timestamp which belongs to the set of input events this object is subscribed to.

The timestamp provided by this event is a high-resolution version of the timestamp argument of the associated input event. The provided timestamp is in the same clock domain and is at least as accurate as the associated input event timestamp.

The timestamp is expressed as tv_sec_hi, tv_sec_lo, tv_nsec triples, each component being an unsigned 32-bit value. Whole seconds are in tv_sec which is a 64-bit value combined from tv_sec_hi and tv_sec_lo, and the additional fractional part in tv_nsec as nanoseconds. Hence, for valid timestamps tv_nsec must be in [0, 999999999].

Definition at line 4791 of file wayland-server-protocol-unstable.cpp.

Member Data Documentation

  std::uint32_t wayland::server::zwp_input_timestamps_v1_t::timestamp_since_version = 1 [static], [constexpr]

Minimum protocol version required for the timestamp function.

Definition at line 1374 of file wayland-server-protocol-unstable.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.